# org.pdfclown.documents.interaction.navigation.page.Transition Class Reference

Visual transition to use when moving to a page during a presentation [PDF:1.6:8.3.3]. More...

Inheritance diagram for org.pdfclown.documents.interaction.navigation.page.Transition:

List of all members.

## Public Types
enum | DirectionEnum { LeftToRight, BottomToTop, RightToLeft, TopToBottom, TopLeftToBottomRight, None }
| Transition direction (counterclockwise) [PDF:1.6:8.3.3]. More...
enum | OrientationEnum { Horizontal, Vertical }
| Transition orientation [PDF:1.6:8.3.3]. More...
enum | PageDirectionEnum { Inward, Outward }
| Transition direction on page [PDF:1.6:8.3.3]. More...
enum | StyleEnum { Split, Blinds, Box, Wipe, Dissolve, Glitter, Replace, Fly, Push, Cover, Uncover, Fade }
| Transition style [PDF:1.6:8.3.3]. More...
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| Transition (Document context, StyleEnum style, double duration, OrientationEnum orientation, PageDirectionEnum pageDirection, DirectionEnum direction, double scale)
| Transition (Document context, StyleEnum style, double duration)
| Transition (Document context, StyleEnum style)
| Transition (Document context)
| Creates a new action within the given document context.
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Transition | Wrap (PdfDirectObject baseObject)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
DirectionEnum | Direction`[get, set]`
| Gets/Sets the transition direction.
Document | Document`[get]`
| Gets the document context.
double | Duration`[get, set]`
| Gets/Sets the duration of the transition effect, in seconds.
File | File`[get]`
| Gets the file context.
OrientationEnum | Orientation`[get, set]`
| Gets/Sets the transition orientation.
PageDirectionEnum | PageDirection`[get, set]`
| Gets/Sets the transition direction on page.
double | Scale`[get, set]`
| Gets/Sets the scale at which the changes are drawn.
StyleEnum | Style`[get, set]`
| Gets/Sets the transition style.

##

Visual transition to use when moving to a page during a presentation [PDF:1.6:8.3.3].

## Member Enumeration Documentation

enum org::pdfclown::documents::interaction::navigation::page::Transition::DirectionEnum

Transition direction (counterclockwise) [PDF:1.6:8.3.3].

Enumerator:

  LeftToRight | Left to right.
  BottomToTop | Bottom to top.
  RightToLeft | Right to left.
  TopToBottom | Top to bottom.
  TopLeftToBottomRight | Top-left to bottom-right.
  None | None.

enum org::pdfclown::documents::interaction::navigation::page::Transition::OrientationEnum

Transition orientation [PDF:1.6:8.3.3].

Enumerator:

  Horizontal | Horizontal.
  Vertical | Vertical.

enum org::pdfclown::documents::interaction::navigation::page::Transition::PageDirectionEnum

Transition direction on page [PDF:1.6:8.3.3].

Enumerator:

  Inward | Inward (from the edges of the page).
  Outward | Outward (from the center of the page).

enum org::pdfclown::documents::interaction::navigation::page::Transition::StyleEnum

Transition style [PDF:1.6:8.3.3].

Enumerator:

  Split | Two lines sweep across the screen, revealing the page.
  Blinds | Multiple lines sweep across the screen, revealing the page.
  Box | A rectangular box sweeps between the edges of the page and the center.
  Wipe | A single line sweeps across the screen from one edge to the other.
  Dissolve | The old page dissolves gradually.
  Glitter | The old page dissolves gradually sweeping across the page in a wide band moving from one side of the screen to the other.
  Replace | No transition.
  Fly | Changes are flown across the screen.
  Push | The page slides in, pushing away the old one.
  Cover | The page slides on to the screen, covering the old one.
  Uncover | The old page slides off the screen, uncovering the new one.
  Fade | The new page reveals gradually.

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.navigation.page.Transition.Transition | ( | Document | context | ) |

Creates a new action within the given document context.

org.pdfclown.documents.interaction.navigation.page.Transition.Transition | ( | Document | context,
|  | StyleEnum | style |
| ) |  |  |

org.pdfclown.documents.interaction.navigation.page.Transition.Transition | ( | Document | context,
|  | StyleEnum | style,
|  | double | duration |
| ) |  |  |

org.pdfclown.documents.interaction.navigation.page.Transition.Transition | ( | Document | context,
|  | StyleEnum | style,
|  | double | duration,
|  | OrientationEnum | orientation,
|  | PageDirectionEnum | pageDirection,
|  | DirectionEnum | direction,
|  | double | scale |
| ) |  |  |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Transition org.pdfclown.documents.interaction.navigation.page.Transition.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

DirectionEnum org.pdfclown.documents.interaction.navigation.page.Transition.Direction`[get, set]`

Gets/Sets the transition direction.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

double org.pdfclown.documents.interaction.navigation.page.Transition.Duration`[get, set]`

Gets/Sets the duration of the transition effect, in seconds.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

OrientationEnum org.pdfclown.documents.interaction.navigation.page.Transition.Orientation`[get, set]`

Gets/Sets the transition orientation.

PageDirectionEnum org.pdfclown.documents.interaction.navigation.page.Transition.PageDirection`[get, set]`

Gets/Sets the transition direction on page.

double org.pdfclown.documents.interaction.navigation.page.Transition.Scale`[get, set]`

Gets/Sets the scale at which the changes are drawn.

StyleEnum org.pdfclown.documents.interaction.navigation.page.Transition.Style`[get, set]`

Gets/Sets the transition style.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.